Package org.apache.sling.scripting.sightly.impl.compiler

## Class CompilationResultImpl

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.CompilationResultImpl

All Implemented Interfaces:
  `CompilationResult`

    public class CompilationResultImpl
    extends Object
    implements CompilationResult

### Constructor Summary

Constructors
`CompilationResultImpl​(CommandStream commandStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandStream` `getCommandStream()` Provides access to the generated `CommandStream` for evaluating / replaying the `Command`s after the compile operation.
`List<CompilerMessage>` `getErrors()` Provides the list of errors recorded during the compilation.
`List<CompilerMessage>` `getWarnings()` Provides the list of warnings recorded during the compilation.
`void` `seal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilationResultImpl

    public CompilationResultImpl​(CommandStream commandStream)

### Method Detail

#### getCommandStream

    public CommandStream getCommandStream()

Description copied from interface: `CompilationResult`
Provides access to the generated `CommandStream` for evaluating / replaying the `Command`s after the compile operation.

Specified by:
  `getCommandStream` in interface `CompilationResult`
Returns:
  the command stream generated by the compiler

#### getWarnings

    public List<CompilerMessage> getWarnings()

Description copied from interface: `CompilationResult`
Provides the list of warnings recorded during the compilation.

Specified by:
  `getWarnings` in interface `CompilationResult`
Returns:
  the list of warnings; the list can be empty if no warnings have been emitted

#### getErrors

    public List<CompilerMessage> getErrors()

Description copied from interface: `CompilationResult`
Provides the list of errors recorded during the compilation.

Specified by:
  `getErrors` in interface `CompilationResult`
Returns:
  the list of errors; the list can be empty if no errors have been encountered

#### seal

    public void seal()